Jump to content

Recommended Posts

Bom dia a Todos!!

 Ontem surgiu me o problema, onde não consigo aceder ao back-office. Não foi efectuada qualquer alteração, e ainda consegui consultar as encomendas, na 5feira, mas ontem quando voltei a aceder, durante o dia pensava que seria apenas o servidor que estava lento, como tem sido habitual.

 Primeiro deu o seguinte erro:


 

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, webmaster@areanimal.com and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.

 

 Agora continua a "pastar", e chegando a um ponto que como não obtém resposta, dá o erro 404, como se a pagina/produto já não tivesse disponivel. A questão é que a pasta está no Cpanel, e quando eu altero a denominação de adm123, para admin234, ele é rápido a abrir e a dar o erro 404 como página não disponivel. Já a algum achava que o site demorava a abrir e as vezes chegava o site a estar embaixo, até supostamente a empresa de alojamente disse que mudou para outro servidor, mas nunca explicou qual a razao da situação. Uma vez mais a empresa de alojamento (PTISP), descarta-se de responsabilidades, e indica que está tudo bem com o servidor, e dá a seguinte resposta: 



não encontramos nada de errado com o serviço de alojamento que possa justificar o que nos reporta.

O que podemos verificar ao analisar os processos é que o acesso ao backoffice tenta ligar-se ao IP 91.240.109.18 por https e parece ficar em "loop" a tentar algo que não conseguimos determinar o que é, evitando assim a abertura da página.

O IP 91.240.109.18 pertence a uma gama da própria Prestashop.

Será que têm razão e qual a razão desta situação?

 

A versão utilizada é 16,1,1. e já tentei abrir no browser chrome, safari e firefox e não abre o back-office para aceder. Dá 

Outro problema é que tenho a loja a funcionar correctamente, e com encomendas a entrar, não consigo aceder aos dados das mesmas. Para quem não percebe de programação, há outra forma de ir ao back-office, para consultar a informaçao de encomendas, e depois colocar em manutenção, pelo menos até conseguir solucionar o problema?

 

Fico a aguardar a vossa ajuda.

Bom fim de semana

 

 

 

Share this post


Link to post
Share on other sites

O Prestashop usa vários servicos externos. O seu provedor deverá adicionar a gama de IP's do Prestashop à whitelist da firewall.

Veja também aqui esta informacao na configuracao mínima do servidor:

  • cageFS ou outra técnica FIREWALL instalada no servidor configurada corretamente para que o back-office nao fique lento por bloquear servicos externos que o Prestashop usa. Em caso de dúvida, ou back-office lento, por favor perguntar o provedor do seu alojamento se existem firewalls instalados !!!

https://www.prestashop.com/forums/topic/236128-tutorial-servidor-configuração-mínima-para-prestashop/

Share this post


Link to post
Share on other sites

Obrigado pela rápida  resposta.

Devia ser mesmo algum problema com o servidor, pois o back-office já começou a funcionar correctamente. 

Vou verificar essa situação das firewall com a ptisp.

Já agora, conhece esta empresa de hospedagem? Na sua opinião, quais as empresas de hospedagem, que hoje e dia, prestam um melhor serviço de hospedagem e mais seguras? 

Em termos de segurança, servicos como o sitelock, são eficazes para proteger as nossas lojas prestashop.?

Cumprimentos 

Nuno

 

Share this post


Link to post
Share on other sites

Infelizmente nao conheco servicos de hospedagem em Portugal ou Brasil. Nao uso nenhum servico de compartilhamento. Eu possuo servidores root (próprios) e uso o servico da OVH.

Share this post


Link to post
Share on other sites

Bom dia,

 Neste caso refere-se a servidores dedicados? Quais as vantagens nos dedicados?

Necessito de actualizar a versão do prestashop, e gostaria de actualizar para o 1.7, mas disseram que a versão 1.7  ainda não está  estavel, e que não era compatível  a actualização directa com a 1.6. Esta informação é correcta?

 

Share this post


Link to post
Share on other sites

Existe um thread aqui no forum que talvez lhe ajude: https://www.prestashop.com/forums/topic/259860-enquete-qual-o-host-mais-indicado-para-prestashop/

Eu pessoalmente por ser administradora de redes uso somente servidores próprios.

Use a versao PS 1.6. a versao PS 1.7. ainda está instável. A última 1.7.3. é a pior de todas. Agora estao desmontando os ficheiros duplos para a passagem para symfony e muitas funcoes nao funcionam.

Se está montando uma loja, use PS 1.6.1.18 e aguarde até que PS 1.7 tenha sido passada para symfony em 100%. Acredito que entao teremos PS 1.8.

Vc. pode atualizar PS 1.6. como o módulo um-clique sem problemas. Só que a versao do módulo um-clique nao é a versao do back-office. Vc. terá que usar outra versao (3.0)

  • Thanks 1

Share this post


Link to post
Share on other sites

Uma vez mais obrigado.

Já tenho a loja desde 2012, e na versão de 1.6 desde 2015 funcionar, www.areanimal.com/pt.

Já agora pode me dar umas dicas, para melhorar a minha loja.?

A minha versão é 1.6.1.1 mas como não tenho muitos conhecimentos na área, e receio fazer asneira ao actualizar com o modulo 1clik.

Na sua opinião esse modulo de actualização automatica é viavel , ou o site de ser desmontado, e instalada a versão 1.6.1.18 manualmente?

Share this post


Link to post
Share on other sites

Se a página está correndo, nao há necessidade de atualizar (Never touch a running system). Pensei em termos de comecar do zero.

 

Share this post


Link to post
Share on other sites

Mas sempre que acontece alguma situação com a loja, a empresa do servidor, diz que a razão das anomalias é estar a trabalhar numa versão PS desactualizada.

 Então mas por situações de segurança e funcionamento, não há vantagem na actualização,  para a versão mais recente?

Share this post


Link to post
Share on other sites

Vc. pode verificar isto nos logs de erro do servidor. Se existem logs lá, entao o erro vem do servidor e nao do Prestashop desatualizado. Eu tenho dois clientes que usam PS 1.5.! sem problemas.

Veja se vc. tem acesso aos logs de erro do servidor. Se sim pode dar contra explicando que nao é erro da software, mas sim de um servidor mal configurado para rodar Prestashop.

Se vc. estivesse usando PS 1.6.0 talvez até valeria fazer um upgrade, mas a versao 1.6.1. é estável. A melhor da série é PS 1.6.1.10 e nao a última !

Share this post


Link to post
Share on other sites

Muito obrigado pelas dicas.

O que podemos fazer ou que serviços  adquirir de modo a ter a loja mais segura? Sitelock ou sucuri são serviços que funcionam mesmo, contra possiveis ataques que os servidores sofrem? 

 

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More